### Hierarchy

- BaseTree
  - default

## Index

### Constructors

- constructor

### Properties

- children
- header
- history
- key
- mmpt
- readOnly

### Methods

- add
- addRecurse
- assignLink
- cat
- createChildTree
- createOrUpdateChildFile
- exists
- get
- getDirectChild
- getLinks
- getName
- getOrCreateDirectChild
- getRecurse
- insertSoftLink
- ls
- mkdir
- mkdirRecurse
- mv
- put
- putDetailed
- read
- removeDirectChild
- rm
- rmRecurse
- updateChild
- updateDirectChild
- updateLink
- updateParentNameFilter
- write
- create
- fromBareNameFilter
- fromBaseKey
- fromInfo
- fromLatestName
- fromName
- instanceOf
- resolveSoftLink

## Constructors

### constructor

- new default(__namedParameters: <internal>.ConstructorParams): <internal>.default

- Overrides BaseTree.constructor

  - Defined in fs/v1/PrivateTree.ts:43

  #### Parameters

  - ##### __namedParameters: <internal>.ConstructorParams

  #### Returns <internal>.default

## Properties

### children

children: {}

- Defined in fs/v1/PrivateTree.ts:37

#### Type declaration

- ##### [name: string]: <internal>.default | PrivateFile

### header

header: PrivateTreeInfo

- Defined in fs/v1/PrivateTree.ts:38

### history

history: <internal>.default

- Defined in fs/v1/PrivateTree.ts:39

### key

key: string

- Defined in fs/v1/PrivateTree.ts:40

### mmpt

mmpt: <internal>.default

- Defined in fs/v1/PrivateTree.ts:41

### readOnly

readOnly: boolean

Inherited from BaseTree.readOnly

- Defined in fs/base/tree.ts:14

## Methods

### add

- add(path: Path, content: FileContent): Promise<<internal>.default>

- Inherited from BaseTree.add

  - Defined in fs/base/tree.ts:69

  #### Parameters

  - ##### path: Path

  - ##### content: FileContent

  #### Returns Promise<<internal>.default>

### addRecurse

- addRecurse(path: Path, content: FileContent, onUpdate: Maybe<UpdateCallback>): Promise<<internal>.default>

- Inherited from BaseTree.addRecurse

  - Defined in fs/base/tree.ts:74

  #### Parameters

  - ##### path: Path

  - ##### content: FileContent

  - ##### onUpdate: Maybe<UpdateCallback>

  #### Returns Promise<<internal>.default>

### assignLink

- assignLink(__namedParameters: { link: SoftLink | PrivateLink; name: string; skeleton: SoftLink | PrivateSkeletonInfo }): void

- - Defined in fs/v1/PrivateTree.ts:258

  #### Parameters

  - ##### __namedParameters: { link: SoftLink | PrivateLink; name: string; skeleton: SoftLink | PrivateSkeletonInfo }

    - ##### link: SoftLink | PrivateLink

    - ##### name: string

    - ##### skeleton: SoftLink | PrivateSkeletonInfo

  #### Returns void

### cat

- cat(path: Path): Promise<FileContent>

- Inherited from BaseTree.cat

  - Defined in fs/base/tree.ts:35

  #### Parameters

  - ##### path: Path

  #### Returns Promise<FileContent>

### createChildTree

- createChildTree(name: string, onUpdate: Maybe<UpdateCallback>): Promise<<internal>.default>

- Overrides BaseTree.createChildTree

  - Defined in fs/v1/PrivateTree.ts:105

  #### Parameters

  - ##### name: string

  - ##### onUpdate: Maybe<UpdateCallback>

  #### Returns Promise<<internal>.default>

### createOrUpdateChildFile

- createOrUpdateChildFile(content: FileContent, name: string, onUpdate: Maybe<UpdateCallback>): Promise<PrivateFile>

- Overrides BaseTree.createOrUpdateChildFile

  - Defined in fs/v1/PrivateTree.ts:121

  #### Parameters

  - ##### content: FileContent

  - ##### name: string

  - ##### onUpdate: Maybe<UpdateCallback>

  #### Returns Promise<PrivateFile>

### exists

- exists(path: Path): Promise<boolean>

- Inherited from BaseTree.exists

  - Defined in fs/base/tree.ts:170

  #### Parameters

  - ##### path: Path

  #### Returns Promise<boolean>

### get

- get(path: Path): Promise<null | <internal>.default | PrivateFile>

- Overrides BaseTree.get

  - Defined in fs/v1/PrivateTree.ts:208

  #### Parameters

  - ##### path: Path

  #### Returns Promise<null | <internal>.default | PrivateFile>

### getDirectChild

- getDirectChild(name: string): Promise<null | <internal>.default | PrivateFile>

- Overrides BaseTree.getDirectChild

  - Defined in fs/v1/PrivateTree.ts:166

  #### Parameters

  - ##### name: string

  #### Returns Promise<null | <internal>.default | PrivateFile>

### getLinks

- getLinks(): Links

- Overrides BaseTree.getLinks

  - Defined in fs/v1/PrivateTree.ts:298

  #### Returns Links

### getName

- getName(): Promise<PrivateName>

- - Defined in fs/v1/PrivateTree.ts:197

  #### Returns Promise<PrivateName>

### getOrCreateDirectChild

- getOrCreateDirectChild(name: string, onUpdate: Maybe<UpdateCallback>): Promise<File | Tree>

- Inherited from BaseTree.getOrCreateDirectChild

  - Defined in fs/base/tree.ts:183

  #### Parameters

  - ##### name: string

  - ##### onUpdate: Maybe<UpdateCallback>

  #### Returns Promise<File | Tree>

### getRecurse

- getRecurse(nodeInfo: SoftLink | PrivateSkeletonInfo, parts: string[]): Promise<null | <internal>.default | PrivateFile>

- - Defined in fs/v1/PrivateTree.ts:219

  #### Parameters

  - ##### nodeInfo: SoftLink | PrivateSkeletonInfo

  - ##### parts: string[]

  #### Returns Promise<null | <internal>.default | PrivateFile>

### insertSoftLink

- insertSoftLink(__namedParameters: { key: string; name: string; privateName: PrivateName; username: string }): <internal>.default

- - Defined in fs/v1/PrivateTree.ts:320

  #### Parameters

  - ##### __namedParameters: { key: string; name: string; privateName: PrivateName; username: string }

    - ##### key: string

    - ##### name: string

    - ##### privateName: PrivateName

    - ##### username: string

  #### Returns <internal>.default

### ls

- ls(path: Path): Promise<Links>

- Inherited from BaseTree.ls

  - Defined in fs/base/tree.ts:25

  #### Parameters

  - ##### path: Path

  #### Returns Promise<Links>

### mkdir

- mkdir(path: Path): Promise<<internal>.default>

- Inherited from BaseTree.mkdir

  - Defined in fs/base/tree.ts:45

  #### Parameters

  - ##### path: Path

  #### Returns Promise<<internal>.default>

### mkdirRecurse

- mkdirRecurse(path: Path, onUpdate: Maybe<UpdateCallback>): Promise<<internal>.default>

- Inherited from BaseTree.mkdirRecurse

  - Defined in fs/base/tree.ts:49

  #### Parameters

  - ##### path: Path

  - ##### onUpdate: Maybe<UpdateCallback>

  #### Returns Promise<<internal>.default>

### mv

- mv(from: Path, to: Path): Promise<<internal>.default>

- Inherited from BaseTree.mv

  - Defined in fs/base/tree.ts:130

  #### Parameters

  - ##### from: Path

  - ##### to: Path

  #### Returns Promise<<internal>.default>

### put

- put(): Promise<CID>

- Inherited from BaseTree.put

  - Defined in fs/base/tree.ts:20

  #### Returns Promise<CID>

### putDetailed

- putDetailed(): Promise<PrivateAddResult>

- Overrides BaseTree.putDetailed

  - Defined in fs/v1/PrivateTree.ts:137

  #### Returns Promise<PrivateAddResult>

### read

- read(path: Path): Promise<null | File | Tree>

- Inherited from BaseTree.read

  - Defined in fs/base/tree.ts:175

  #### Parameters

  - ##### path: Path

  #### Returns Promise<null | File | Tree>

### removeDirectChild

- removeDirectChild(name: string): <internal>.default

- Overrides BaseTree.removeDirectChild

  - Defined in fs/v1/PrivateTree.ts:153

  #### Parameters

  - ##### name: string

  #### Returns <internal>.default

### rm

- rm(path: Path): Promise<<internal>.default>

- Inherited from BaseTree.rm

  - Defined in fs/base/tree.ts:98

  #### Parameters

  - ##### path: Path

  #### Returns Promise<<internal>.default>

### rmRecurse

- rmRecurse(path: Path, onUpdate: Maybe<UpdateCallback>): Promise<<internal>.default>

- Inherited from BaseTree.rmRecurse

  - Defined in fs/base/tree.ts:103

  #### Parameters

  - ##### path: Path

  - ##### onUpdate: Maybe<UpdateCallback>

  #### Returns Promise<<internal>.default>

### updateChild

- updateChild(child: File | Tree, path: Path): Promise<<internal>.default>

- Inherited from BaseTree.updateChild

  - Defined in fs/base/tree.ts:194

  `put` is called on child (result of promise) in `updateDirectChild` Then for the outermost parent, `put` should be called manually.

  #### Parameters

  - ##### child: File | Tree

  - ##### path: Path

  #### Returns Promise<<internal>.default>

### updateDirectChild

- updateDirectChild(child: <internal>.default | PrivateFile, name: string, onUpdate: Maybe<UpdateCallback>): Promise<<internal>.default>

- Overrides BaseTree.updateDirectChild

  - Defined in fs/v1/PrivateTree.ts:143

  #### Parameters

  - ##### child: <internal>.default | PrivateFile

  - ##### name: string

  - ##### onUpdate: Maybe<UpdateCallback>

  #### Returns Promise<<internal>.default>

### updateLink

- updateLink(name: string, result: PrivateAddResult): <internal>.default

- Overrides BaseTree.updateLink

  - Defined in fs/v1/PrivateTree.ts:309

  #### Parameters

  - ##### name: string

  - ##### result: PrivateAddResult

  #### Returns <internal>.default

### updateParentNameFilter

- updateParentNameFilter(parentNameFilter: BareNameFilter): Promise<<internal>.default>

- - Defined in fs/v1/PrivateTree.ts:203

  #### Parameters

  - ##### parentNameFilter: BareNameFilter

  #### Returns Promise<<internal>.default>

### write

- write(path: Path, content: FileContent): Promise<<internal>.default>

- Inherited from BaseTree.write

  - Defined in fs/base/tree.ts:179

  #### Parameters

  - ##### path: Path

  - ##### content: FileContent

  #### Returns Promise<<internal>.default>

### Static create

- create(mmpt: <internal>.default, key: string, parentNameFilter: Maybe<BareNameFilter>): Promise<<internal>.default>

- - Defined in fs/v1/PrivateTree.ts:60

  #### Parameters

  - ##### mmpt: <internal>.default

  - ##### key: string

  - ##### parentNameFilter: Maybe<BareNameFilter>

  #### Returns Promise<<internal>.default>

### Static fromBareNameFilter

- fromBareNameFilter(mmpt: <internal>.default, bareNameFilter: BareNameFilter, key: string): Promise<<internal>.default>

- - Defined in fs/v1/PrivateTree.ts:82

  #### Parameters

  - ##### mmpt: <internal>.default

  - ##### bareNameFilter: BareNameFilter

  - ##### key: string

  #### Returns Promise<<internal>.default>

### Static fromBaseKey

- fromBaseKey(mmpt: <internal>.default, key: string): Promise<<internal>.default>

- - Defined in fs/v1/PrivateTree.ts:77

  #### Parameters

  - ##### mmpt: <internal>.default

  - ##### key: string

  #### Returns Promise<<internal>.default>

### Static fromInfo

- fromInfo(mmpt: <internal>.default, key: string, info: Maybe<DecryptedNode>): Promise<<internal>.default>

- - Defined in fs/v1/PrivateTree.ts:97

  #### Parameters

  - ##### mmpt: <internal>.default

  - ##### key: string

  - ##### info: Maybe<DecryptedNode>

  #### Returns Promise<<internal>.default>

### Static fromLatestName

- fromLatestName(mmpt: <internal>.default, name: PrivateName, key: string): Promise<<internal>.default>

- - Defined in fs/v1/PrivateTree.ts:87

  #### Parameters

  - ##### mmpt: <internal>.default

  - ##### name: PrivateName

  - ##### key: string

  #### Returns Promise<<internal>.default>

### Static fromName

- fromName(mmpt: <internal>.default, name: PrivateName, key: string): Promise<<internal>.default>

- - Defined in fs/v1/PrivateTree.ts:92

  #### Parameters

  - ##### mmpt: <internal>.default

  - ##### name: PrivateName

  - ##### key: string

  #### Returns Promise<<internal>.default>

### Static instanceOf

- instanceOf(obj: unknown): obj is <internal>.default

- - Defined in fs/v1/PrivateTree.ts:53

  #### Parameters

  - ##### obj: unknown

  #### Returns obj is <internal>.default

### Static resolveSoftLink

- resolveSoftLink(link: SoftLink): Promise<null | <internal>.default | PrivateFile>

- - Defined in fs/v1/PrivateTree.ts:269

  #### Parameters

  - ##### link: SoftLink

  #### Returns Promise<null | <internal>.default | PrivateFile>

Generated using TypeDoc